%define module  Number-Format
%define name    perl-%{module}
%define version 1.52
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Convert numbers to strings with pretty formatting
License:	Artistic/GPL
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Number/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildArch:	noarch

%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by the
user.

%prep
%setup -q -n %{module}-%{version}
chmod 644 CHANGES README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorlib}/Number
%{_mandir}/*/*



%changelog
* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-2mdv2008.1
+ Revision: 133639
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-1mdv2007.0
- New version 1.52

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-2mdv2007.0
- Rebuild

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdk
- Contributed by Cedric Devillers <brancaleone@altern.org>

